aboutsummaryrefslogtreecommitdiffstats
path: root/main/xorg-server
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xorg-server
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xorg-server')
-rw-r--r--main/xorg-server/APKBUILD137
-rw-r--r--main/xorg-server/xorg-redhat-die-ugly-pattern-die-die-die.patch16
2 files changed, 153 insertions, 0 deletions
diff --git a/main/xorg-server/APKBUILD b/main/xorg-server/APKBUILD
new file mode 100644
index 0000000000..4b9796e36b
--- /dev/null
+++ b/main/xorg-server/APKBUILD
@@ -0,0 +1,137 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xorg-server
+pkgver=1.7.3.902
+pkgrel=0
+pkgdesc="X.Org X servers"
+url="http://xorg.freedesktop.org"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc xfbdev"
+depends="
+ font-misc-misc
+ font-cursor-misc
+ xkeyboard-config
+ xkbcomp
+ xinit
+ "
+makedepends="
+ libpciaccess-dev
+ libx11-dev
+ libxdamage-dev
+ libxfont-dev
+ libxkbfile-dev
+ libxkbui-dev
+ libxv-dev
+ libxxf86dga-dev
+ libxxf86misc-dev
+ openssl-dev
+ pixman-dev
+
+ bigreqsproto
+ compositeproto
+ damageproto
+ dbus-dev
+ fixesproto
+ inputproto
+ pkgconfig
+ randrproto
+ renderproto
+ resourceproto
+ xcmiscproto
+ xextproto
+ xtrans
+ xf86driproto
+ glproto
+ mesa-dev
+ libdrm-dev
+ perl
+ scrnsaverproto
+ xineramaproto
+ libxinerama-dev
+ libtool
+ automake
+ autoconf
+ util-macros
+ "
+# hal>=0.5.11 xcursor-themes xkeyboard-config>=1.3
+# xorg-server-utils xorg-utils xorg-fonts-misc xbitmaps libdrm>=2.3.1
+# diffutils xf86-input-evdev"
+
+source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2
+ xorg-redhat-die-ugly-pattern-die-die-die.patch
+"
+
+depends_dev="pixman-dev libpciaccess-dev"
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -Np1 -i "$i" || return 1
+ done
+ # Fix dbus config path
+ sed -i -e 's/\$(sysconfdir)/\/etc/' config/Makefile.* || return 1
+}
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ # xorg modules does not work with the -z now and it seems like we
+ # cannot pass over the linker flag to .so files. so we tweak the
+ # gcc specs.
+ export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc/X11 \
+ --localstatedir=/var \
+ --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
+ --with-xkb-path=/usr/share/X11/xkb \
+ --with-xkb-output=/var/lib/xkb \
+ --with-dri-driver-path=/usr/lib/xorg/modules/dri \
+ --enable-composite \
+ --enable-config-dbus \
+ --enable-dri \
+ --enable-ipv6 \
+ --enable-xfbdev \
+ --enable-kdrive \
+ --enable-xorg \
+ --enable-xv \
+ --enable-xres \
+ --disable-xephyr \
+ --disable-config-hal \
+ --disable-dmx \
+ --disable-tslib \
+ --disable-xnest \
+ --disable-xsdl \
+ --disable-aiglx \
+ --disable-xace \
+ || return 1
+
+ make
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" install || return 1
+
+ install -m755 -d "$pkgdir"/etc/X11 || return 1
+ install -m755 -d "$pkgdir"/var/lib/xkb || return 1
+ install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+
+xfbdev() {
+ pkgdesc="X.org server for framebuffer"
+ depends=
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/Xfbdev "$subpkgdir"/usr/bin/
+}
+
+xephyr() {
+ pkgdesc="kdrive based X Server which targets a window on a host X Server as its framebuffer"
+ depends=
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/Xephyr "$subpkgdir"/usr/bin/
+}
+
+md5sums="5806bd9d1ed734a60db2e32473a720b4 xorg-server-1.7.3.902.tar.bz2
+222de594206d1148a90eddfda4f7a11a xorg-redhat-die-ugly-pattern-die-die-die.patch"
diff --git a/main/xorg-server/xorg-redhat-die-ugly-pattern-die-die-die.patch b/main/xorg-server/xorg-redhat-die-ugly-pattern-die-die-die.patch
new file mode 100644
index 0000000000..3ca10647ce
--- /dev/null
+++ b/main/xorg-server/xorg-redhat-die-ugly-pattern-die-die-die.patch
@@ -0,0 +1,16 @@
+Remove the default root window grey stipple pattern, replacing it with
+blackness.
+
+--- Xserver/dix/window.c.die-ugly-pattern-die-die-die Tue Feb 12 16:33:04 2002
++++ Xserver/dix/window.c Tue Feb 12 16:45:32 2002
+@@ -119,8 +119,8 @@
+ *
+ ******/
+
+-static unsigned char _back_lsb[4] = {0x88, 0x22, 0x44, 0x11};
+-static unsigned char _back_msb[4] = {0x11, 0x44, 0x22, 0x88};
++static unsigned char _back_lsb[4] = {0x00, 0x00, 0x00, 0x00};
++static unsigned char _back_msb[4] = {0x00, 0x00, 0x00, 0x00};
+
+ int screenIsSaved = SCREEN_SAVER_OFF;
+